[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

#### 4.18.5.1 All Components

All AWS components support the following signals, attributes, actions, and properties.

#### Signals

This is a list of signals sent by all components.

`signalComponentCreated`

  Occurs when a component is first created. This can be used to get a handle to the component to perform actions on it (like filling up a list box with items).

#### Attributes

This is a list of attributes published by all components.

`Frame`

  Defines the extents of the frame rectangle.

#### Actions

This is a list of actions understood by all components.

`Hide`

  Hides the component.

`Show`

  Shows the component.

`Invalidate`

  Makes the component re-draw.

`HideWindow`

  Hides the window to which the component belongs.

#### Properties

This is a list of properties published by all components.

`Frame`

  Gets the frame extents of the component. (Read only.)

`Type`

  Gets a string that describes the type of the component. For example, "Window", "Command Button", etc.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated using texi2html 1.76.